import java.io.*;
import java.net.*;
import java.util.Enumeration;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;
 
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.Request;
import org.eclipse.jetty.server.handler.AbstractHandler;



public class MicroCDNStream extends AbstractHandler
{
    public void handle(String target, Request baseRequest, HttpServletRequest request,
                      HttpServletResponse response) 
        throws IOException, ServletException
    {
			String url = request.getParameter("url");

            response.setContentType("text/html;charset=utf-8");
            response.setStatus(HttpServletResponse.SC_OK);
            baseRequest.setHandled(true);

				if (serveFile (url, baseRequest.getRequestURL().toString(), response) == 1) {
                    CacheVideo c = new CacheVideo(url);
                }
			
    }
 
    public int serveFile (String url, String baseUrl, HttpServletResponse response) {
	    InputStream in = null;
	    PrintWriter out = null;
        smilFile sf = new smilFile();
        CacheVideo c = new CacheVideo();
        String file;
	
	    try {
            if (url == null) {
                /* Handle base url */
                URL burl = new URL(baseUrl);
                file = burl.getPath().replaceAll ("~", "").substring(1);
                String filename = baseUrl.substring(baseUrl.lastIndexOf('/')+1,
                                                baseUrl.length());
                String mimeType = "video/mp4";
                response.setContentType(mimeType);
                response.setHeader("Content-Disposition",
                                    "inline; filename=" + filename);
                response.setHeader("Cache-Control", "no-cache");
                response.setHeader("Expires", "-1");

                // Open the file and output streams
                File local = new File (file);
                if (!local.exists()) {
                    return(0);
                }
                FileInputStream in1 = new FileInputStream(local);

                // Set content size
                response.setContentLength((int)local.length());
                OutputStream out1 = response.getOutputStream();
                // Copy the contents of the file to the output stream
                byte[] buf = new byte[1024];
                int count = 0;
                while ((count = in1.read(buf)) >= 0) {
                    out1.write(buf, 0, count);
                }
                out1.close();
                in1.close();
                return (0);
            }
	        // Get the MIME type of the image
	        String mimeType = "application/smil+xml";

	        // Set content type
	        response.setContentType(mimeType);

	        String filename = url.substring(url.lastIndexOf('/')+1,
		                                    url.length()); 

	        response.setHeader("Content-Disposition",
		                        "inline; filename=" + filename);
	        response.setHeader("Cache-Control", "no-cache");
	        response.setHeader("Expires", "-1");
	    
            // Set content size
	        //response.setContentLength(-1);

	        out = response.getWriter();

            if (sf.getSmilFile(url) == 0) {
                out.println(sf.getNew(url));
                out.close();
                return (1);
            } else {
                out.println(sf.getSmilFileWithOverlays(url));
                out.close();
                return (0);
            }
	    } catch (Exception e) {
            output ("Exception = " + e);
		    output ("Client browser closed the connection. Nothing to worry about.");
	    }
	    finally {
	        try {
		        if (in != null)
		            in.close();
		        if (out != null)
		            out.close();
	        } catch (IOException x) {
		        x.printStackTrace();
	        }
	    }
        return (0);

    }
    
    public void output (String s) {
		System.out.println ("MicroCDN: " + s);
	}
    public static void main(String[] args) throws Exception
    {
        overlayInfo o = new overlayInfo();
        o.overlayInit();

        Server server = new Server(8080);
        server.setHandler(new MicroCDNStream());
 
        System.out.println("Starting jetty server, port 8080");
        server.start();
        server.join();

    }
}
