import java.io.*;

import weatherprovider.*;
import weatherprovider.locationdatamodel.*;
import weatherprovider.weatherdatamodel.*;

public class NetservWeather {
	public static String partnerID = "1214160375";
	public static String licenseKey = "c23ea1b62887f8f4";
	
	public String getWeatherData(String locationID, String weatherServer) {
		  WeatherConfigurationIF config = new DefaultWeatherConfigurationBean(
		        weatherServer, partnerID, licenseKey);
		    WeatherGateway gateway = new WeatherGateway(config);

		    WeatherReport weather = new WeatherReport();

		    // multiple calls to exercise the cache
		    for (int i = 0; i < 1; ++i) {
		      try {
		        weather = gateway.getFullForecast(locationID, 0);
		        if (weather == null) {
		          System.out.printf("locationID [%s] is not valid or no xml data returned, weather is null\n\n", locationID);
		          return "Null";
		        }
		      } catch (IOException e) {
		        System.out.printf("---- Network connection problem or invalid server address, %s ----\n", e);
		        return "Null";
		      } catch (WeatherError e){
		        System.out.printf("---- Exception reported from parsing weather/response, %s ----\n", e);
		        return "Null";
		      }
		    }
		    return(weather.getCurrentConditions().getTemperature());
		  }
}

