import java.io.*;
import java.util.*;
import java.text.*;
import weatherprovider.*;
import org.jdom.input.*;
import java.net.*;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.Attribute;

public class overlayInfo {
    static private String getDateTime() {
        DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");
        Date date = new Date();
        return (dateFormat.format(date));
    }

    public void weatherInit() {
        IPaddressToRegion ir = new IPaddressToRegion();
        String temp, city;

        System.out.println("Fetching geo location for the ip address...");
        ir = ir.getRegionDetails();
        city = ir.city;
        
        NetservWeather nw = new NetservWeather();

        System.out.println("Fetching current weather data for location " + ir.city + ", " + ir.zipcode + "...");
        temp = nw.getWeatherData(ir.zipcode, DefaultWeatherConfigurationBean.defaultWeatherServer);
        try {
            File f = new File(new File(".").getCanonicalPath() + "/text/weather.txt");
            if (!f.exists()) {
                f.createNewFile();
            }
            FileWriter w = new FileWriter(f);
            PrintWriter out = new PrintWriter(w);
            out.println(ir.city + ", Temperature at " + getDateTime() + ", " + temp + "F" );
            out.close();
        } catch (Exception e) {
            System.out.println("Error in writing weather info! " + e);
        }
    }

    public void newsFeedInit() {
        try {
            String link = "http://www.bbc.co.uk/news/rss.xml";
            List s = new ArrayList();
            File f = new File(new File(".").getCanonicalPath() + "/text/news.txt");
            if (!f.exists()) {
                f.createNewFile();
            }
            FileWriter w = new FileWriter(f);
            PrintWriter out = new PrintWriter(w);

            SAXBuilder builder = new SAXBuilder();

            Document document = builder.build(link);
            Element root = document.getRootElement();

            Element child = root.getChild("channel");
            s = child.getChildren("item");

            ListIterator i = s.listIterator();
            while (i.hasNext()) {
                Element o = (Element)i.next();
                Element e = o.getChild("title");
                out.println(e.getText());
            }
            out.close();
        } catch (Exception e) {
        }
    }

    public void overlayInit() {
        this.weatherInit();
        this.newsFeedInit();
    }
}
