package weather_service.weatherprovider.weatherdatamodel;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * Value object bean of CurrentConditions for a given location.
 * <p/>
 */
public class CurrentConditions {

  private String description;
  private String visibility;
  private String icon;
  private String observationStation;

  private String dewPoint;
  private String feelsLikeTemperature;
  private String humidity;
  private String temperature;

  private String lastUpdated;

  private Wind wind;
  private UltraViolet uv;
  private BarometricPressure barometricPressure;

  public BarometricPressure getBarometricPressure() {
    return barometricPressure;
  }

  public void setBarometricPressure(BarometricPressure barometricPressure) {
    this.barometricPressure = barometricPressure;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getDewPoint() {
    return dewPoint;
  }

  public void setDewPoint(String dewPoint) {
    this.dewPoint = dewPoint;
  }

  public String getFeelsLikeTemperature() {
    return feelsLikeTemperature;
  }

  public void setFeelsLikeTemperature(String feelsLikeTemperature) {
    this.feelsLikeTemperature = feelsLikeTemperature;
  }

  public String getHumidity() {
    return humidity;
  }

  public void setHumidity(String humidity) {
    this.humidity = humidity;
  }

  public String getIcon() {
    return icon;
  }

  public void setIcon(String icon) {
    this.icon = icon;
  }

  public String getLastUpdated() {
    return lastUpdated;
  }

  public void setLastUpdated(String lastUpdated) {
    this.lastUpdated = lastUpdated;
  }

  public String getObservationStation() {
    return observationStation;
  }

  public void setObservationStation(String observationStation) {
    this.observationStation = observationStation;
  }

  public String getTemperature() {
    return temperature;
  }

  public void setTemperature(String temperature) {
    this.temperature = temperature;
  }

  public UltraViolet getUv() {
    return uv;
  }

  public void setUv(UltraViolet uv) {
    this.uv = uv;
  }

  public String getVisibility() {
    return visibility;
  }

  public void setVisibility(String visibility) {
    this.visibility = visibility;
  }

  public Wind getWind() {
    return wind;
  }

  public void setWind(Wind wind) {
    this.wind = wind;
  }

  public String toString() {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }

}

