package weather_service.weatherprovider.weatherdatamodel;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * Location information is returned with all successful queries,
 * such as CurrentConditions or Forecast.
 * <p/>
 */
public class Location {
  private String locationId;
  private String displayName;
  private String localTime;
  private String sunriseTime;
  private String sunsetTime;
  private String timeZone;
  private double latitude;
  private double longitude;

  public double getLatitude() {
    return latitude;
  }

  public void setLatitude(double latitude) {
    this.latitude = latitude;
  }

  public String getLocationId() {
    return locationId;
  }

  public void setLocationId(String locationId) {
    this.locationId = locationId;
  }

  public String getDisplayName() {
    return displayName;
  }

  public void setDisplayName(String locationName) {
    this.displayName = locationName;
  }

  public double getLongitude() {
    return longitude;
  }

  public void setLongitude(double longitude) {
    this.longitude = longitude;
  }

  public String getSunriseTime() {
    return sunriseTime;
  }

  public void setSunriseTime(String sunriseTime) {
    this.sunriseTime = sunriseTime;
  }

  public String getSunsetTime() {
    return sunsetTime;
  }

  public void setSunsetTime(String sunsetTime) {
    this.sunsetTime = sunsetTime;
  }

  public String getTimeZone() {
    return timeZone;
  }

  public void setTimeZone(String zone) {
    this.timeZone = zone;
  }

  public String getLocalTime() {
    return localTime;
  }

  public void setLocalTime(String currentTime) {
    this.localTime = currentTime;
  }

  public String toString() {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.NO_FIELD_NAMES_STYLE);
  }

}

